<script setup>

</script>

<template>
  <div>
    <v-card-title class="text-wrap ma-3">
      <v-row>
        {{ titre }}
        <v-spacer></v-spacer>
        <v-chip :color="color" label>
          {{ nbCompletedItems }} / {{ nbItems }} items complétés
        </v-chip>
      </v-row>
    </v-card-title>
    <v-card-subtitle>
      <slot name="default"></slot>
    </v-card-subtitle>
    <v-card-actions v-if="!hideActions">
      <v-spacer></v-spacer>
      <v-btn
        :tabindex="-1"
        variant="tonal"
        color="green"
        @click.stop="$emit('EDIT')"
      ><v-icon>mdi-pencil</v-icon></v-btn>
      <v-btn
        :tabindex="-1"
        variant="tonal"
        color="red"
        @click.stop="$emit('DELETE')"
      ><v-icon>mdi-delete</v-icon></v-btn>
    </v-card-actions>
  </div>
</template>

<script>
export default {
  name: "contenu-carte-checklist",
  props: {
    titre: {
      type: String,
      required: true
    },
    color: {
      type: String,
      default: 'primary'
    },
    nbCompletedItems: {
      type: Number,
      required: true
    },
    nbItems: {
      type: Number,
      required: true
    },
    hideActions: {
      type: Boolean,
      default: false
    },
  }
}
</script>

<style lang="scss" scoped>

</style>

<style scoped lang="scss">

</style>